Name | Type | Default |
appendContainer
|
string
|
null
|
If set, specifies the notification container. The value of appendContainer should be a string with the id of the container element preceeded by "#".
|
autoOpen
|
boolean
|
false
|
Sets or gets whether the notification will open automatically.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationOpenDelay
|
number
|
400
|
Sets or gets the duration of the notification animation at open.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} animationOpenDelay={600}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationCloseDelay
|
number
|
800
|
Sets or gets the duration of the tooltip animation at close.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} animationCloseDelay={1000}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoClose
|
boolean
|
true
|
Sets or gets whether the notification will automatically close after duration equal to the autoCloseDelay property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} autoClose={false}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoCloseDelay
|
number | string
|
3000
|
Sets or gets the duration after which the notification automatically closes (works only if the autoClose property is set to true).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} autoCloseDelay={5000}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
blink
|
boolean
|
false
|
Sets or gets whether the notification blinks when opened.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} blink={true}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
browserBoundsOffset
|
number
|
5
|
Sets ot gets the notifications' offset from the window bounds.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} browserBoundsOffset={10}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeOnClick
|
boolean
|
true
|
Sets or gets whether the notification will close if it is clicked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} closeOnClick={false}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the notification is disabled (it cannot be opened).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} disabled={true}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
number | string
|
'auto'
|
Sets ot gets the notification's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} height={200}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hoverOpacity
|
number
|
1
|
Sets or gets the notification's opacity when it is hovered with the mouse.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} hoverOpacity={0.3}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
icon
|
NotificationIcon
|
null
|
Interface NotificationIcon { width?: number | string; height?: number | string; url?: string; padding?: number | string; }
Sets or gets an object which specifies a custom notification icon. The icon property is disregarded if template is set.
object fields:
width
height
url
padding - specifies the distance from the icon to the content.
|
notificationOffset
|
number
|
5
|
Sets or gets the offset between notifications.
|
opacity
|
number
|
0.9
|
Sets or gets the notification's opacity.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} opacity={1}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
position
|
NotificationPosition
|
'top-right'
|
NotificationPosition: "top-left" | "top-right" | "bottom-left" | "bottom-right"
Sets the part of the browser window where the notifications will be positioned. The position property is disregarded if appendContainer is set.
Possible Values:
'top-left'
'top-right'
'bottom-left'
'bottom-right'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} position={ 'top-left'}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} rtl={true}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showCloseButton
|
boolean
|
true
|
Sets or gets whether to show the notification's close button.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} showCloseButton={false}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
template
|
NotificationTemplate
|
'info'
|
NotificationTemplate: "info" | "warning" | "success" | "error" | "mail" | "time" | "null"
Sets or gets the notification template.
Possible Values:
'info'
'warning'
'success'
'error'
'mail'
'time'
null
If template is set to null, the theme setting is applied to the notification. In that case, the notification icon can be set with the icon property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} template={ 'success'}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} theme={ 'material'}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
'auto'
|
Sets ot gets the notification's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true} width={200}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
close
|
Event
|
|
This event is triggered when the notification is closed.
Code examples
Bind to the close event of jqxNotification.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} onClose={this.onClose} autoOpen={true}> Sample Notification </JqxNotification> ); } private onClose(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
click
|
Event
|
|
This event is triggered when the notification is clicked.
Code examples
Bind to the click event of jqxNotification.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} onClick={this.onClick} autoOpen={true}> Sample Notification </JqxNotification> ); } private onClick(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
Event
|
|
This event is triggered when the notification is opened.
Code examples
Bind to the open event of jqxNotification.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public render() { return ( <JqxNotification ref={this.myNotification} onOpen={this.onOpen} autoOpen={true}> Sample Notification </JqxNotification> ); } private onOpen(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
closeAll
|
None
|
|
Closes all notification instances.
|
closeLast
|
None
|
|
Closes the last notification instances.
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public componentDidMount(): void { this.myNotification.current!.destroy(); } public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
None
|
|
|
refresh
|
None
|
|
Refreshes the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public componentDidMount(): void { this.myNotification.current!.refresh(); } public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNotification, { INotificationProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnotification'; class App extends React.PureComponent<{}, INotificationProps> { private myNotification = React.createRef<JqxNotification>(); public componentDidMount(): void { this.myNotification.current!.render(); } public render() { return ( <JqxNotification ref={this.myNotification} autoOpen={true}> Sample Notification </JqxNotification> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
appendContainer
|
String
|
null
|
Sets or gets the appendContainer property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [appendContainer]="'#container'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
autoOpen
|
Boolean
|
false
|
Sets or gets the autoOpen property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [autoOpen]="true"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
animationOpenDelay
|
Number
|
400
|
Sets or gets the animationOpenDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [animationOpenDelay]="600"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
animationCloseDelay
|
Number
|
800
|
Sets or gets the animationCloseDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [animationCloseDelay]="1000"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
autoClose
|
Boolean
|
true
|
Sets or gets the autoClose property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [autoClose]="true"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
autoCloseDelay
|
String | Number
|
3000
|
Sets or gets the autoCloseDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [autoCloseDelay]="5000"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
blink
|
Boolean
|
false
|
Sets or gets the blink property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [blink]="true"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
browserBoundsOffset
|
Number
|
5
|
Sets or gets the browserBoundsOffset property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [browserBoundsOffset]="10"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
closeOnClick
|
Boolean
|
true
|
Sets or gets the closeOnClick property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [closeOnClick]="false"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [disabled]="true"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
height
|
String | Number
|
'auto'
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [height]="200"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
hoverOpacity
|
Number
|
1
|
Sets or gets the hoverOpacity property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [hoverOpacity]="2"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
icon
|
NotificationIcon
|
null
|
interface NotificationIcon { width?: String | Number; height?: String | Number; url?: String; padding?: String | Number; } Sets or gets the icon property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [icon]="icon"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
notificationOffset
|
Number
|
5
|
Sets or gets the notificationOffset property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [notificationOffset]="10"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
opacity
|
Number
|
0.9
|
Sets or gets the opacity property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [opacity]="1"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
position
|
enum:NotificationPosition
|
'top-right'
|
enum NotificationPosition { top-left, top-right, bottom-left, bottom-right } Sets or gets the position property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [position]="'top-left'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [rtl]="true"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
showCloseButton
|
Boolean
|
true
|
Sets or gets the showCloseButton property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [showCloseButton]="false"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
template
|
enum:NotificationTemplate
|
'info'
|
enum NotificationTemplate { info, warning, success, error, mail, time, null } Sets or gets the template property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [template]="'info'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'" [theme]="'energyblue'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
width
|
String | Number
|
'auto'
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
|
close
|
Event
|
|
This event is triggered when the notification is closed.
Code examples
Bind to the close event of jqxNotification.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification (onClose)="Close($event)" [width]="250" [position]="'top-right'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
click
|
Event
|
|
This event is triggered when the notification is clicked.
Code examples
Bind to the click event of jqxNotification.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification (onClick)="Click($event)" [width]="250" [position]="'top-right'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
open
|
Event
|
|
This event is triggered when the notification is opened.
Code examples
Bind to the open event of jqxNotification.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification (onOpen)="Open($event)" [width]="250" [position]="'top-right'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent {
|
|
Name | Return Type | Arguments |
closeAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNotification') myNotification: jqxNotificationComponent; ngAfterViewInit(): void { this.myNotification.closeAll();
|
closeLast
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNotification') myNotification: jqxNotificationComponent; ngAfterViewInit(): void { this.myNotification.closeLast();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNotification') myNotification: jqxNotificationComponent; ngAfterViewInit(): void { this.myNotification.destroy();
|
open
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNotification') myNotification: jqxNotificationComponent; ngAfterViewInit(): void { this.myNotification.open();
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNotification') myNotification: jqxNotificationComponent; ngAfterViewInit(): void { this.myNotification.refresh();
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNotification #myNotification [width]="250" [position]="'top-right'"> <div> Welcome to our website. </div> </jqxNotification> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNotification') myNotification: jqxNotificationComponent; ngAfterViewInit(): void { this.myNotification.render();
|

Name | Type | Default |
appendContainer
|
String
|
null
|
If set, specifies the notification container. The value of appendContainer should be a string with the id of the container element preceeded by "#".
<template> <div> <jqxButton :width="200" @click="open()">Open Notification</jqxButton> <JqxNotification ref="myNotification" :appendContainer="'#container'"> Sample Notification </JqxNotification> <div id="container" style="width: 300px; height: 400px; margin-top: 15px; background-color: #F2F2F2; border: 1px dashed #AAAAAA; overflow: auto;"></div> </div> </template> <script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNotification, JqxButton }, methods: { open: function () { this.$refs.myNotification.open();
|
autoOpen
|
Boolean
|
false
|
Sets or gets whether the notification will open automatically.
<template> <JqxNotification ref="myNotification" :autoOpen="true"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
animationOpenDelay
|
Number
|
400
|
Sets or gets the duration of the notification animation at open.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :animationOpenDelay="600"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
animationCloseDelay
|
Number
|
800
|
Sets or gets the duration of the tooltip animation at close.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :animationCloseDelay="1000"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
autoClose
|
Boolean
|
true
|
Sets or gets whether the notification will automatically close after duration equal to the autoCloseDelay property.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :autoClose="false"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
autoCloseDelay
|
Number
|
3000
|
Sets or gets the duration after which the notification automatically closes (works only if the autoClose property is set to true).
<template> <JqxNotification ref="myNotification" :autoOpen="true" :autoCloseDelay="5000"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
blink
|
Boolean
|
false
|
Sets or gets whether the notification blinks when opened.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :blink="true"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
browserBoundsOffset
|
Number
|
5
|
Sets ot gets the notifications' offset from the window bounds.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :browserBoundsOffset="10"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
closeOnClick
|
Boolean
|
true
|
Sets or gets whether the notification will close if it is clicked.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :closeOnClick="false"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
disabled
|
Boolean
|
false
|
Sets or gets whether the notification is disabled (it cannot be opened).
<template> <JqxNotification ref="myNotification" :autoOpen="true" :disabled="true"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
height
|
Number | String
|
'auto'
|
Sets ot gets the notification's height.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :height="200"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
hoverOpacity
|
Number
|
1
|
Sets or gets the notification's opacity when it is hovered with the mouse.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :hoverOpacity="0.3"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
icon
|
Object
|
null
|
Sets or gets an object which specifies a custom notification icon. The icon property is disregarded if template is set.
object fields:
width
height
url
padding - specifies the distance from the icon to the content.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :template="null" :icon="icon"> Sample Notification </JqxNotification> </template> <script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; export default { components: { JqxNotification }, data: function () { return { icon: { width: 25, height: 25, url: '../../images/smiley.png',
|
notificationOffset
|
Number
|
5
|
Sets or gets the offset between notifications.
<template> <div> <JqxNotification ref="myNotification" :autoOpen="true" :notificationOffset="10">Sample Notification</JqxNotification> <JqxNotification ref="myNotification" :autoOpen="true" :notificationOffset="10">Sample Notification</JqxNotification> </div> </template> <script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
opacity
|
Number
|
0.9
|
Sets or gets the notification's opacity.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :opacity="1"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
position
|
String
|
'top-right'
|
Sets the part of the browser window where the notifications will be positioned. The position property is disregarded if appendContainer is set.
Possible Values:
'top-left'
'top-right'
'bottom-left'
'bottom-right'
<template> <JqxNotification ref="myNotification" :autoOpen="true" :position="'top-left'"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :rtl="true"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
showCloseButton
|
Boolean
|
true
|
Sets or gets whether to show the notification's close button.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :showCloseButton="false"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
template
|
String
|
'info'
|
Sets or gets the notification template.
Possible Values:
'info'
'warning'
'success'
'error'
'mail'
'time'
null
If template is set to null, the theme setting is applied to the notification. In that case, the notification icon can be set with the icon property.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :template="'success'"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :theme="'material'"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
width
|
Number | String
|
'auto'
|
Sets ot gets the notification's width.
<template> <JqxNotification ref="myNotification" :autoOpen="true" :width="200"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue';
|
|
close
|
Event
|
|
This event is triggered when the notification is closed.
Code examples
Bind to the close event of jqxNotification.
<template> <JqxNotification ref="myNotification" @close="onClose($event)" :autoOpen="true"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; export default { components: { JqxNotification }, methods: { onClose: function (event) { alert( 'do something...');
|
click
|
Event
|
|
This event is triggered when the notification is clicked.
Code examples
Bind to the click event of jqxNotification.
<template> <JqxNotification ref="myNotification" @click="onClick($event)" :autoOpen="true"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; export default { components: { JqxNotification }, methods: { onClick: function (event) { alert( 'do something...');
|
open
|
Event
|
|
This event is triggered when the notification is opened.
Code examples
Bind to the open event of jqxNotification.
<template> <JqxNotification ref="myNotification" @open="onOpen($event)" :autoOpen="true"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; export default { components: { JqxNotification }, methods: { onOpen: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
closeAll
|
None
|
None
|
Closes all notification instances.
<template> <div> <JqxNotification ref="myNotification" :autoOpen="true"> Sample Notification </JqxNotification> <JqxButton @click="open">Open</JqxButton> <JqxButton @click="closeLast">Close Last</JqxButton> <JqxButton @click="closeAll">Close All</JqxButton> </div></template><script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNotification, JqxButton }, methods: { open: function () { this.$refs.myNotification.open(); }, closeLast: function () { this.$refs.myNotification.closeLast(); }, closeAll: function () { this.$refs.myNotification.closeAll();
|
closeLast
|
None
|
None
|
Closes the last notification instances.
<template> <div> <JqxNotification ref="myNotification" :autoOpen="true"> Sample Notification </JqxNotification> <JqxButton @click="open">Open</JqxButton> <JqxButton @click="closeLast">Close Last</JqxButton> <JqxButton @click="closeAll">Close All</JqxButton> </div></template><script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNotification, JqxButton }, methods: { open: function () { this.$refs.myNotification.open(); }, closeLast: function () { this.$refs.myNotification.closeLast(); }, closeAll: function () { this.$refs.myNotification.closeAll();
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxNotification ref="myNotification" :autoOpen="true"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; export default { components: { JqxNotification }, mounted: function () { this.$refs.myNotification.destroy();
|
open
|
None
|
None
|
Opens the widget.
<template> <div> <JqxNotification ref="myNotification" :autoOpen="true"> Sample Notification </JqxNotification> <JqxButton @click="open">Open</JqxButton> <JqxButton @click="closeLast">Close Last</JqxButton> <JqxButton @click="closeAll">Close All</JqxButton> </div></template><script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNotification, JqxButton }, methods: { open: function () { this.$refs.myNotification.open(); }, closeLast: function () { this.$refs.myNotification.closeLast(); }, closeAll: function () { this.$refs.myNotification.closeAll();
|
refresh
|
None
|
None
|
Refreshes the widget.
<template> <JqxNotification ref="myNotification" :autoOpen="true"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; export default { components: { JqxNotification }, mounted: function () { this.$refs.myNotification.refresh();
|
render
|
None
|
None
|
Renders the widget.
<template> <JqxNotification ref="myNotification" :autoOpen="true"> Sample Notification </JqxNotification> </template>
<script> import JqxNotification from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnotification.vue'; export default { components: { JqxNotification }, mounted: function () { this.$refs.myNotification.render();
|